import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { SendRecord } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-11-06 11:37
 */
interface SendRecordCU extends ConditionUtil<SendRecordCU> {
    ID: FieldUtil<SendRecordCU>;
    TITLE: FieldUtil<SendRecordCU>;
    CONTENT_ID: FieldUtil<SendRecordCU>;
    SEND_CONFIG_ID: FieldUtil<SendRecordCU>;
    LOT_TYPE: FieldUtil<SendRecordCU>;
    SEND_LOT_AMOUNT: FieldUtil<SendRecordCU>;
    SEND_ROLE: FieldUtil<SendRecordCU>;
    SEND_RULE: FieldUtil<SendRecordCU>;
    STATUS: FieldUtil<SendRecordCU>;
    EFF_DATE: FieldUtil<SendRecordCU>;
    EXP_DATE: FieldUtil<SendRecordCU>;
    CREATE_TIME: FieldUtil<SendRecordCU>;
}
declare class SendRecordMU extends TableUtilImpl<SendRecordCU, SendRecord> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SendRecordCU;
    static get ID(): FieldUtil<SendRecordCU>;
    static get TITLE(): FieldUtil<SendRecordCU>;
    static get CONTENT_ID(): FieldUtil<SendRecordCU>;
    static get SEND_CONFIG_ID(): FieldUtil<SendRecordCU>;
    static get LOT_TYPE(): FieldUtil<SendRecordCU>;
    static get SEND_LOT_AMOUNT(): FieldUtil<SendRecordCU>;
    static get SEND_ROLE(): FieldUtil<SendRecordCU>;
    static get SEND_RULE(): FieldUtil<SendRecordCU>;
    static get STATUS(): FieldUtil<SendRecordCU>;
    static get EFF_DATE(): FieldUtil<SendRecordCU>;
    static get EXP_DATE(): FieldUtil<SendRecordCU>;
    static get CREATE_TIME(): FieldUtil<SendRecordCU>;
    get ID(): FieldUtil<SendRecordCU>;
    get TITLE(): FieldUtil<SendRecordCU>;
    get CONTENT_ID(): FieldUtil<SendRecordCU>;
    get SEND_CONFIG_ID(): FieldUtil<SendRecordCU>;
    get LOT_TYPE(): FieldUtil<SendRecordCU>;
    get SEND_LOT_AMOUNT(): FieldUtil<SendRecordCU>;
    get SEND_ROLE(): FieldUtil<SendRecordCU>;
    get SEND_RULE(): FieldUtil<SendRecordCU>;
    get STATUS(): FieldUtil<SendRecordCU>;
    get EFF_DATE(): FieldUtil<SendRecordCU>;
    get EXP_DATE(): FieldUtil<SendRecordCU>;
    get CREATE_TIME(): FieldUtil<SendRecordCU>;
}
export { SendRecordMU, SendRecordCU };
